%define api       1
%define major     2
%define libname   %mklibname ftdi %{api} %{major}
%define develname %mklibname ftdi %{api} -d

%define ppmajor   3
%define pplib     %mklibname ftdipp %{api} %{ppmajor}

%define enable_async_mode 0

Summary:	Library to program and control the FTDI USB controller
Name:		libftdi
Version:	1.5
Release:	%mkrel 5
License:	LGPL for libftdi and GPLv2+linking exception for the C++ wrapper
Group:		System/Libraries
URL:		https://www.intra2net.com/en/developer/libftdi
Source0:	https://www.intra2net.com/en/developer/%{name}/download/%{name}%{api}-%{version}.tar.bz2
# http://developer.intra2net.com/git/?p=libftdi;a=commitdiff;h=cdb28383402d248dbc6062f4391b038375c52385;hp=5c2c58e03ea999534e8cb64906c8ae8b15536c30
Patch0:		libftdi-1.5-fix_pkgconfig_path.patch
BuildRequires:	doxygen
BuildRequires:	cmake
BuildRequires:	swig
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libconfuse)
BuildRequires:	pkgconfig(libusb)

%description
Library to program and control the FTDI USB controller.

%package -n	%{libname}
Summary:	Library to program and control the FTDI USB controller
Group:		System/Libraries
Provides:	libftdi = %{version}-%{release}
Obsoletes:	libftdi < 0.20-3
Obsoletes:	%{_lib}ftdi1 < 1.1-3

%description -n	%{libname}
Library to program and control the FTDI USB controller.

%package -n	%{pplib}
Summary:	Library to program and control the FTDI USB controller
Group:		System/Libraries

%description -n %{pplib}
Library to program and control the FTDI USB controller.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{pplib} = %{version}-%{release}
Provides:	libftdi-devel = %{version}-%{release}
Provides:	libftdi1-devel = %{version}-%{release}
Obsoletes:	%{_lib}ftdi-devel < 1.1-3
Conflicts:	libftdi < 0.20-3

%description -n %{develname}
This package contains libraries and header files for developing applications
that use %{name}.


%prep
%autosetup -p1 -n %{name}1-%{version}

# switch to uaccess control
sed -i -e 's/GROUP="plugdev"/TAG+="uaccess"/g' packages/99-libftdi.rules

%build
%cmake -DSTATICLIBS=off -DFTDIPP=on -DPYTHON_BINDINGS=off -DLINK_PYTHON_LIBRARY=off
%cmake_build

%install
%cmake_install

install -D -pm 0644 packages/99-libftdi.rules %{buildroot}%{_udevrulesdir}/69-libftdi.rules

# Cleanup examples
rm -f %{buildroot}%{_bindir}/simple
rm -f %{buildroot}%{_bindir}/bitbang
rm -f %{buildroot}%{_bindir}/bitbang2
rm -f %{buildroot}%{_bindir}/bitbang_ft2232
rm -f %{buildroot}%{_bindir}/bitbang_cbus
rm -f %{buildroot}%{_bindir}/find_all
rm -f %{buildroot}%{_bindir}/find_all_pp
rm -f %{buildroot}%{_bindir}/baud_test
rm -f %{buildroot}%{_bindir}/serial_read
rm -f %{buildroot}%{_bindir}/serial_test

rm -f %{buildroot}%{_datadir}/doc/libftdi1/example.conf
rm -f %{buildroot}%{_datadir}/doc/libftdipp1/example.conf

%files -n %{libname}
%license COPYING.LIB COPYING.GPL LICENSE
%{_libdir}/libftdi*%{api}.so.%{major}{,.*}
%{_udevrulesdir}/69-libftdi.rules

%files -n %{pplib}
%license COPYING.LIB COPYING.GPL LICENSE
%{_libdir}/libftdipp%{api}.so.%{ppmajor}{,.*}

%files -n %{develname}
%doc build/examples
%{_bindir}/%{name}%{api}-config
%{_bindir}/ftdi_eeprom
%{_libdir}/%{name}*%{api}.so
%{_includedir}/%{name}%{api}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/%{name}%{api}/


%changelog
* Fri Jan 03 2025 daviddavid <daviddavid> 1.5-5.mga10
+ Revision: 2135169
- own CMake configuration files dir

* Sat Dec 17 2022 guillomovitch <guillomovitch> 1.5-4.mga9
+ Revision: 1924295
- fix udev rule to allow access from all local user (mga #31276)

* Fri Oct 07 2022 guillomovitch <guillomovitch> 1.5-3.mga9
+ Revision: 1895370
- install udev rules
- fix generation of C++ wrapper

* Thu Oct 06 2022 neoclust <neoclust> 1.5-2.mga9
+ Revision: 1895197
- Rebuild because of missing rpms

* Fri Sep 09 2022 neoclust <neoclust> 1.5-1.mga9
+ Revision: 1886090
- New version 1.5

* Fri Mar 25 2022 umeabot <umeabot> 1.4-4.mga9
+ Revision: 1826380
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.4-3.mga8
+ Revision: 1514123
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.4-2.mga7
+ Revision: 1298851
- Mageia 7 Mass Rebuild

* Sat Mar 03 2018 wally <wally> 1.4-1.mga7
+ Revision: 1206374
- new version 1.4
- split out libftdipp from main lib

* Thu Dec 28 2017 wally <wally> 1.1-9.mga7
+ Revision: 1186597
- rebuild for new libconfuse

* Thu Feb 11 2016 umeabot <umeabot> 1.1-8.mga6
+ Revision: 955462
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 cjw <cjw> 1.1-7.mga6
+ Revision: 871065
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 744179
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 681467
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 wally <wally> 1.1-4.mga5
+ Revision: 669518
- fix lib pkg obsoletes after renaming

* Sat Aug 30 2014 wally <wally> 1.1-3.mga5
+ Revision: 669421
- fix lib and devel pkg names

* Thu Aug 28 2014 alien <alien> 1.1-2.mga5
+ Revision: 669140
- link with -fno-stack-protector, or the build fails on i586
- Update to version 1.1

* Sat Jul 05 2014 pterjan <pterjan> 0.20-4.mga5
+ Revision: 643701
- Replace libusb*-devel BuildRequires by better ones

* Mon Mar 31 2014 oden <oden> 0.20-3.mga5
+ Revision: 610846
- libify
- don't build the examples, put them in the devel sub package

* Fri Oct 18 2013 umeabot <umeabot> 0.20-2.mga4
+ Revision: 521322
- Mageia 4 Mass Rebuild

* Sun Jan 20 2013 alien <alien> 0.20-1.mga3
+ Revision: 390228
- Set correct RPM group and release
- Import libftdi to be used for lcdproc
- imported package libftdi

